dnsjit.core.object.payload(3)

NAME
dnsjit.core.object.payload - Application data payload

DESCRIPTION
Payload object contains the data carried by the underlying transport protocol. Payload is usually at the top of the object chain after parsing with, for example, dnsjit.filter.layer.

  Attributes

payload
    A pointer to the payload.

len The length of the payload.

padding
    The length of padding in the underlying packet.

  Functions

Payload:type()
    Return the textual type of the object.

Payload:prev()
    Return the previous object.

Payload:cast()
    Cast the object to the underlining object module and return it.

Payload:uncast()
    Cast the object to the generic object module and return it.

Payload:copy()
    Make a copy of the object and return it.

Payload:free()
    Free the object, should only be used on copies or otherwise allocated.

SEE ALSO
dnsjit.core.object(3), dnsjit.core.object.udp(3), dnsjit.core.object.tcp(3), dnsjit.filter.layer(3)

AUTHORS and CONTRIBUTORS
Jerry Lundström (DNS-OARC), Tomáš Křížek (CZ.NIC), Petr Špaček (ISC)

Maintained by DNS-OARC

    https://www.dns-oarc.net/

BUGS
For issues and feature requests please use:

    https://codeberg.org/DNS-OARC/dnsjit/issues

For question and help please use:

    admin@dns-oarc.net